/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "types.h"

#include <stdbool.h>

#ifndef UIRC_GUARD_TOKENIZERS
#define UIRC_GUARD_TOKENIZERS

#ifdef UIRC_IRCV3
signed int Tok_tags(char* str, IRC_Tags* out);
#endif /* UIRC_IRCV3 */

signed int Tok_user(char* str, IRC_User* out, bool useorig);
signed int Tok_mesg(char* str, IRC_Message* out);

#ifdef UIRC_HELPERS
void Tok_cmd_PING(IRC_Message* mesg, char** source, char** target);
void Tok_FArgOpt(IRC_Message* mesg, char** optarg, char** reqarg);
#endif /* UIRC_HELPERS */

#endif /* UIRC_GUARD_TOKENIZERS */

